Using NM, Wi-Fi disconnects with heavy traffic; doesn't happen with wicd or Windows 7 -- Realtek RTL8191SEvA

Bug #1091610 reported by gratefulfrog on 2012-12-18
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
network-manager (Ubuntu)
Undecided
Unassigned

Bug Description

I am running 12.04, on an asus 1201n EEEPC and the wifi connection drops out during sustained heavy traffic, eg video conf.

When I boot the same amchine to WIN7, there is no problem, ever.

There seems to be no way to get the connection back without rebooting.

I am at a loss as to how to proceed, but am very willing to help out.

Please let me know, I am desperate.

Thanks, your faithful Ubuntu supporter from day-0,
Bob
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu15.1
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
CRDA:
 country BE:
  (2402 - 2482 @ 40), (N/A, 20)
  (5170 - 5250 @ 40), (N/A, 20)
  (5250 - 5330 @ 40), (N/A, 20), DFS
  (5490 - 5710 @ 40), (N/A, 27), DFS
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xf9f78000 irq 20'
   Mixer name : 'Nvidia MCP79/7A HDMI'
   Components : 'HDA:10ec0269,104383ce,00100004 HDA:10de0007,10de0101,00100100'
   Controls : 22
   Simple ctrls : 11
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=10f62a6a-1fbf-4081-9120-c5a01b145048
InstallationMedia: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386 (20101007)
MachineType: ASUSTeK Computer INC. 1201N
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-35-generic root=UUID=ea6ffad6-ec2d-4fd3-acf5-01306240865c ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-35.55-generic 3.2.34
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-35-generic N/A
 linux-backports-modules-3.2.0-35-generic N/A
 linux-firmware 1.79.1
Tags: precise
Uname: Linux 3.2.0-35-generic i686
UpgradeStatus: Upgraded to precise on 2012-06-09 (191 days ago)
UserGroups: adm admin cdrom dialout lpadmin netdev plugdev sambashare
dmi.bios.date: 03/17/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0325
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: 1201N
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: x.xx
dmi.chassis.asset.tag: 0x00000000
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer INC.
dmi.chassis.version: x.x
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0325:bd03/17/2010:svnASUSTeKComputerINC.:pn1201N:pvrx.x:rvnASUSTeKComputerINC.:rn1201N:rvrx.xx:cvnASUSTeKComputerINC.:ct10:cvrx.x:
dmi.product.name: 1201N
dmi.product.version: x.x
dmi.sys.vendor: ASUSTeK Computer INC.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1091610

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected precise
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Hi Brad,

Done!

Please allow me to help with this issue which seems to be quite frequent
with this realtek driver.

Cheers,
Bob

On Tue, Dec 18, 2012 at 12:00 PM, Brad Figg <email address hidden> wrote:

> apport-collect 1091610

--
*Il n'est pas besoin d'espérer pour entreprendre, ni de réussir pour
persévérer.*
Marcel Pagnol, *La Gloire de mon Père*

50°48'39.85"N 4°25'20.29"E

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.7 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key

Hi!
Thanks for this good response!

In the meantime I removed the network-manager and replaced it with wicd. I
tried to load the wifi and had no problem. However it is hard to tell since
the wifi drop happens only when I most need wifi, like while I'm video
conferencing for a project...

I would be afraid to try the kernel below since I don't know how to
roll-back if it fails to boot, or is just rough riding...

Can you tell me how I would be able to recover if it really fails big time?

Also, I will be away for 10 days from Thursday, so won't be able to do
anything until after Jan 1st. I am very sorry for the delay, I really
appreciate the great job you guys at Canonical are doing!

Thanks,
Bob

On Tue, Dec 18, 2012 at 7:06 PM, Joseph Salisbury <
<email address hidden>> wrote:

> Would it be possible for you to test the latest upstream kernel? Refer
> to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
> v3.7 kernel[0] (Not a kernel in the daily directory) and install both
> the linux-image and linux-image-extra .deb packages.
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> If you are unable to test the mainline kernel, for example it will not
> boot, please add the tag: 'kernel-unable-to-test-upstream'.
> Once testing of the upstream kernel is complete, please mark this bug as
> "Confirmed".
>
>
> Thanks in advance.
>
> [0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-raring/
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Medium
>
> ** Tags added: kernel-da-key
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1091610
>
> Title:
> wifi connection loss on Realtek RTL8191SEvA
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1091610/+subscriptions
>

--
*Il n'est pas besoin d'espérer pour entreprendre, ni de réussir pour
persévérer.*
Marcel Pagnol, *La Gloire de mon Père*

50°48'39.85"N 4°25'20.29"E

I have a similar issue here, RTL8191SEvA and 12.04.1 (3.2.0-35-generic) also on a low power machine (Atom D510).

The issue manifests itself periodically, but it does seem only when there is moderate network load (MythTV video streaming). It's quite frequent (we can't get through a half hour show without issues).

Interestingly, I first thought it was my WiFi system (Unifi) as I purchased both at the same time and it also seems to cause the AP to struggle for other connected clients as well. I'm now suspecting it is the linux driver with this chipset after finding this bug.

Here is a thread I started on the Unifi forums:
http://forum.ubnt.com/showthread.php?t=64574

Note that behavior sometimes will go back to normal after 30sec or so, and sometimes can only be resolved with a reboot.

Joseph Salisbury (jsalisbury) wrote :

@gratefulfrog, So the bug went away but replacing network-manager with wicd and not changing the kernel version?

@Joseph Salisbury

Yes, I am using wicd now and have no further problems.

I did not want to play with my kernel...

Cheers,
Bob

On Mon, Jan 14, 2013 at 7:40 PM, Joseph Salisbury <
<email address hidden>> wrote:

> @gratefulfrog, So the bug went away but replacing network-manager with
> wicd and not changing the kernel version?
>
> ** Also affects: network-manager (Ubuntu)
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1091610
>
> Title:
> wifi connection loss on Realtek RTL8191SEvA
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1091610/+subscriptions
>

--
*Il n'est pas besoin d'espérer pour entreprendre, ni de réussir pour
persévérer.*
Marcel Pagnol, *La Gloire de mon Père*

50°48'39.85"N 4°25'20.29"E

Thanks for the update. I've added a network-manager bug task.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Thomas Hood (jdthood) on 2013-01-24
summary: - wifi connection loss on Realtek RTL8191SEvA
+ Using NM, Wi-Fi disconnects with heavy traffic; doesn't happen with wicd
+ or Windows 7 -- Realtek RTL8191SEvA
taiebot65 (taiebot65) wrote :

I confirm the bug and the replacement of WN with WICD solves the problem.
Confirmed on Lubuntu 12.10
Linux home 3.5.0-27-generic #45-Ubuntu SMP Tue Mar 19 23:40:01 UTC 2013 i686 i686 i686 GNU/Linux

I can reproduce the wifi connection loss when i am trying to upload a big file to my samba share.

taiebot65 (taiebot65) wrote :

I am still able to reproduce this bug on 13.04.
Linux home 3.8.0-19-generic #30-Ubuntu SMP Wed May 1 16:36:13 UTC 2013 i686 i686 i686 GNU/Linux

Definitely something wrong with network manager

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers